SUSE: 2022:3932-1 moderate: python-rsa | LinuxSecurity.com

   SUSE Security Update: Security update for python-rsa
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3932-1
Rating:             moderate
References:         #1178676 
Cross-References:   CVE-2020-25658
CVSS scores:
                    CVE-2020-25658 (NVD) : 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
                    CVE-2020-25658 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

Affected Products:
                    SUSE Enterprise Storage 7.1
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Micro 5.2
                    SUSE Linux Enterprise Micro 5.3
                    SUSE Linux Enterprise Module for Basesystem 15-SP3
                    SUSE Linux Enterprise Module for Basesystem 15-SP4
                    SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3
                    SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Manager Proxy 4.2
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.2
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.2
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
                    openSUSE Leap Micro 5.2
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for python-rsa fixes the following issues:

     - CVE-2020-25658: Fixed bleichenbacher timing oracle attack against RSA
       decryption (bsc#1178676).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap Micro 5.2:

      zypper in -t patch openSUSE-Leap-Micro-5.2-2022-3932=1

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-3932=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-3932=1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-3932=1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-3932=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-3932=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-3932=1

   - SUSE Linux Enterprise Micro 5.3:

      zypper in -t patch SUSE-SLE-Micro-5.3-2022-3932=1

   - SUSE Linux Enterprise Micro 5.2:

      zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-3932=1



Package List:

   - openSUSE Leap Micro 5.2 (noarch):

      python3-rsa-3.4.2-150000.3.7.1

   - openSUSE Leap 15.4 (noarch):

      python3-rsa-3.4.2-150000.3.7.1

   - openSUSE Leap 15.3 (noarch):

      python2-rsa-3.4.2-150000.3.7.1
      python3-rsa-3.4.2-150000.3.7.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (noarch):

      python2-rsa-3.4.2-150000.3.7.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (noarch):

      python2-rsa-3.4.2-150000.3.7.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4 (noarch):

      python3-rsa-3.4.2-150000.3.7.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3 (noarch):

      python3-rsa-3.4.2-150000.3.7.1

   - SUSE Linux Enterprise Micro 5.3 (noarch):

      python3-rsa-3.4.2-150000.3.7.1

   - SUSE Linux Enterprise Micro 5.2 (noarch):

      python3-rsa-3.4.2-150000.3.7.1


References:

   https://www.suse.com/security/cve/CVE-2020-25658.html
   https://bugzilla.suse.com/1178676

SUSE: 2022:3932-1 moderate: python-rsa

November 10, 2022
An update that fixes one vulnerability is now available

Summary

This update for python-rsa fixes the following issues: - CVE-2020-25658: Fixed bleichenbacher timing oracle attack against RSA decryption (bsc#1178676). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap Micro 5.2: zypper in -t patch openSUSE-Leap-Micro-5.2-2022-3932=1 - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-3932=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-3932=1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4: zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-3932=1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3: zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-3932=1 - SUSE Linux Enterprise Module for Basesystem 15-SP4: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-3932=1 - SUSE Linux Enterprise Module for Basesystem 15-SP3: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-3932=1 - SUSE Linux Enterprise Micro 5.3: zypper in -t patch SUSE-SLE-Micro-5.3-2022-3932=1 - SUSE Linux Enterprise Micro 5.2: zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-3932=1 Package List: - openSUSE Leap Micro 5.2 (noarch): python3-rsa-3.4.2-150000.3.7.1 - openSUSE Leap 15.4 (noarch): python3-rsa-3.4.2-150000.3.7.1 - openSUSE Leap 15.3 (noarch): python2-rsa-3.4.2-150000.3.7.1 python3-rsa-3.4.2-150000.3.7.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (noarch): python2-rsa-3.4.2-150000.3.7.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (noarch): python2-rsa-3.4.2-150000.3.7.1 - SUSE Linux Enterprise Module for Basesystem 15-SP4 (noarch): python3-rsa-3.4.2-150000.3.7.1 - SUSE Linux Enterprise Module for Basesystem 15-SP3 (noarch): python3-rsa-3.4.2-150000.3.7.1 - SUSE Linux Enterprise Micro 5.3 (noarch): python3-rsa-3.4.2-150000.3.7.1 - SUSE Linux Enterprise Micro 5.2 (noarch): python3-rsa-3.4.2-150000.3.7.1

References

#1178676

Cross- CVE-2020-25658

CVSS scores:

CVE-2020-25658 (NVD) : 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

CVE-2020-25658 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

Affected Products:

SUSE Enterprise Storage 7.1

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Micro 5.2

SUSE Linux Enterprise Micro 5.3

SUSE Linux Enterprise Module for Basesystem 15-SP3

SUSE Linux Enterprise Module for Basesystem 15-SP4

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Manager Proxy 4.2

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.2

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.2

SUSE Manager Server 4.3

openSUSE Leap 15.3

openSUSE Leap 15.4

openSUSE Leap Micro 5.2

https://www.suse.com/security/cve/CVE-2020-25658.html

https://bugzilla.suse.com/1178676

Severity
Announcement ID: SUSE-SU-2022:3932-1
Rating: moderate

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.